All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::RangeQueryResult Struct Reference

result structure for a single query More...

`#include <AuxIndexStructures.h>`

## Public Types

using | idx_t = Index::idx_t

## Public Member Functions

void | add (float dis, idx_t id)
| called by search function to report a new result

## Public Attributes

idx_t | qno
size_t | nres
RangeSearchPartialResult * | pres

## Detailed Description

result structure for a single query

Definition at line 138 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/AuxIndexStructures.h
- /data/users/hoss/faiss/AuxIndexStructures.cpp